/// class PD.Manage.Modules.EntityManagementToolbar
// using PD.Web.UI.Controls.ToolbarSegment

PD.Manage.Modules.EntityManagementToolbar =
PD.Web.UI.Controls.ToolbarSegment.extend({

    //===================================
    // EVENT HANDLERS
    //===================================

    onRegisterItems: function (e) {

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-management:entity/create-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-management:entity/properties-dialog"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-management:entity/open"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-management:entity/change-status"
        }));

        e.registerItem(new PD.Web.UI.Controls.CommandButton({
            commandId: "pd/entity-management:entity/delete"
        }));

    }

});